Page MenuHomePhabricator

Request creation of matrix VPS project
Closed, ResolvedPublic

Description

Project Name: matrix

Wikitech Usernames of requestors: @CCicalese_WMF, @Chicocvenancio, @MarkAHershberger, @Tgr

Purpose: Testing a Matrix.org homeserver for the Wikimedia movement

Brief description: See T193961: Set up Matrix.org homeserver on the Wikimedia Cloud VPS.

How soon you are hoping this can be fulfilled: this month

Event Timeline

Tgr created this task.May 6 2018, 8:26 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2018, 8:26 AM
Tgr updated the task description. (Show Details)May 13 2018, 10:58 PM
Tgr added a subscriber: Chicocvenancio.

Apparently the matrix project exists already (I probably should have checked that before proposing). It's owned by @yuvipanda, so maybe he is OK with us taking it over?

Mentioned in SAL (#wikimedia-cloud) [2018-06-01T23:02:35Z] <bd808> Usurped empty project for T193964. Added Chico Venancio, Cicalese, Gergő Tisza, and MarkAHershberger as admins

bd808 closed this task as Resolved.Jun 1 2018, 11:07 PM
bd808 claimed this task.
bd808 added a subscriber: bd808.

I usurped the project from Yuvi and gave it to y'all.

The cloud-services-team and I want to be on record here that this project is for testing matrix, and should not be used to create a general purpose production instance. It would be nice to see documented acceptance criteria for your trial somewhere so that it will be easier to decide when things have advanced to a point where discussions with the SRE team about production hosting options are warranted.

Vvjjkkii renamed this task from Request creation of matrix VPS project to fjdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed bd808 as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from fjdaaaaaaa to Request creation of matrix VPS project.Jul 2 2018, 4:25 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to bd808.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Andrew reopened this task as Open.Jun 17 2020, 4:18 PM
Andrew added a subscriber: Andrew.

Hello @Tgr. Discussion at https://phabricator.wikimedia.org/T255046#6212144 implies that this project is defunct; is that right? If so, I will close the project and reclaim resources.

bd808 removed bd808 as the assignee of this task.Jun 25 2020, 8:38 PM

Hello @Tgr. Discussion at https://phabricator.wikimedia.org/T255046#6212144 implies that this project is defunct; is that right? If so, I will close the project and reclaim resources.

@Tgr poke?

Tgr added a comment.Jul 22 2020, 11:40 AM

The project is not defunct. It's inactive at the moment, and was never really meant to create an actual discussion infrastructure for Wikimedia projects (sadly the terms of use of Wikimedia Cloud force us to create any such infrastructure on third-party hosting), but as a testbed / staging area for such infrastructure. Specifically, it will be useful for developing a Wikimedia login plugin for Synapse.

The existing instances are not used and could be deleted, although I don't know if there's anything on them that @Chicocvenancio would want to back up or document first.

I think my work there can be safely deleted as it is obsolete by new developments in synapse and mediawiki (with ouath2).

Mentioned in SAL (#wikimedia-cloud) [2021-01-13T15:04:25Z] <andrewbogott> deleting matrix-synapse-01.matrix.eqiad1.wikimedia.cloud after discussion on T193964

Andrew closed this task as Resolved.Wed, Jan 13, 3:05 PM
Andrew claimed this task.